## org.mortbay.jetty.plus.jaas
Class JAASRole

    java.lang.Object
      org.mortbay.jetty.plus.jaas.JAASPrincipal
          org.mortbay.jetty.plus.jaas.JAASRole

All Implemented Interfaces:
  Serializable, Principal

    public class JAASRole

extends JAASPrincipal

See Also:
  Serialized Form

Constructor Summary
`JAASRole(String name)`

Method Summary
`boolean` `equals(Object o)`

Methods inherited from class org.mortbay.jetty.plus.jaas.JAASPrincipal
`getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAASRole

    public JAASRole(String name)

Method Detail

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `JAASPrincipal`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.